unit CLKU;

interface
  {For Colock to be used properly in Delphi 2009, please use this CLKU.pas, as you can see the only difference between this CLKU.pas and the one used in lower versions of Delphi is using PAnsiChar instead of PChar in all function declarations and typecasts.} 
  
  function cCheckLock(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; HardwareIDMethod : Integer) : Integer; stdcall;
  procedure CodeFile(InFile, OutFile, CodingPassword : PAnsiChar; CodingMethod : Integer; ShouldEncode : Boolean); stdcall;
  function CodeText(InText, CodingPassword : PAnsiChar; CodingMethod : Integer; ShouldEncode : Boolean) : PAnsiChar; stdcall;
  function ShowLockWindow(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; OptionalMessage : PAnsiChar; HardwareIDMethod : Integer) : Integer; stdcall;
  function IsProgramActivated(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; HardwareIDMethod : Integer) : Integer; stdcall;
  function cCheckLockEx(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; StoreLockInfoInRegistry : Integer) : Integer; stdcall;
  function GetSuccessConst(ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer) : Integer; stdcall;
  function GetFileID(FileName : PAnsiChar; Password : PAnsiChar) : PAnsiChar; stdcall;
  function CheckExeFileID(ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer) : Integer; stdcall;
  function GetExeFileID(ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer) : PAnsiChar; stdcall;

  function cCheckLockIni(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACIniMethod : Integer; ACIniDir : PAnsiChar; ACIniFile : PAnsiChar) : Integer; stdcall;
  function ShowLockWindowIni(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; OptionalMessage : PAnsiChar; HardwareIDMethod : Integer; ACIniMethod : Integer; ACIniDir : PAnsiChar; ACIniFile : PAnsiChar) : Integer; stdcall;
  function IsProgramActivatedIni(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACIniMethod : Integer; ACIniDir : PAnsiChar; ACIniFile : PAnsiChar) : Integer; stdcall;

  function cCheckLockReg(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACRegKey : PAnsiChar) : Integer; stdcall;
  function ShowLockWindowReg(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; OptionalMessage : PAnsiChar; HardwareIDMethod : Integer; ACRegKey : PAnsiChar) : Integer; stdcall;
  function IsProgramActivatedReg(AppName, ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACRegKey : PAnsiChar) : Integer; stdcall;

  function CAC(ParamFile, ParamEncPass : PAnsiChar; ParamEncMethod : Integer) : Integer; stdcall;

  function StoreExParamStr(ParamFile : PAnsiChar; ParamEncPass : PAnsiChar; ParamEncMethod : Integer; ParName : PAnsiChar; ParValue : PAnsiChar) : Integer; stdcall;
  function RestoreExParamStr(ParamFile : PAnsiChar; ParamEncPass : PAnsiChar; ParamEncMethod : Integer; ParName : PAnsiChar) : PAnsiChar; stdcall;

  function StoreExParamInt(ParamFile : PAnsiChar; ParamEncPass : PAnsiChar; ParamEncMethod : Integer; ParName : PAnsiChar; ParValue : Integer) : Integer; stdcall;
  function RestoreExParamInt(ParamFile : PAnsiChar; ParamEncPass : PAnsiChar; ParamEncMethod : Integer; ParName : PAnsiChar) : Integer; stdcall;

  function StoreExParamBool(ParamFile : PAnsiChar; ParamEncPass : PAnsiChar; ParamEncMethod : Integer; ParName : PAnsiChar; ParValue : Integer) : Integer; stdcall;
  function RestoreExParamBool(ParamFile : PAnsiChar; ParamEncPass : PAnsiChar; ParamEncMethod : Integer; ParName : PAnsiChar) : Integer; stdcall;

  function GetFileMD5(InFileName : PAnsiChar) : PAnsiChar; stdcall;
  function GetTextMD5(InText : PAnsiChar) : PAnsiChar; stdcall;

implementation

  function cCheckLock; external 'CLK.dll' Name 'cCheckLock'; stdcall;
  procedure CodeFile; external 'CLK.dll' Name 'CodeFile'; stdcall;
  function CodeText; external 'CLK.dll' Name 'CodeText'; stdcall;
  function ShowLockWindow; external 'CLK.dll' Name 'ShowLockWindow'; stdcall;
  function IsProgramActivated; external 'CLK.dll' Name 'IsProgramActivated'; stdcall;
  function cCheckLockEx; external 'CLK.dll' Name 'cCheckLockEx'; stdcall;
  function GetSuccessConst; external 'CLK.dll' Name 'GetSuccessConst'; stdcall;
  function GetFileID; external 'CLK.dll' Name 'GetFileID'; stdcall;
  function CheckExeFileID; external 'CLK.dll' Name 'CheckExeFileID'; stdcall;
  function GetExeFileID; external 'CLK.dll' Name 'GetExeFileID'; stdcall;

  function cCheckLockIni; external 'CLK.dll' Name 'cCheckLockIni'; stdcall;
  function ShowLockWindowIni; external 'CLK.dll' Name 'ShowLockWindowIni'; stdcall;
  function IsProgramActivatedIni; external 'CLK.dll' Name 'IsProgramActivatedIni'; stdcall;

  function cCheckLockReg; external 'CLK.dll' Name 'cCheckLockReg'; stdcall;
  function ShowLockWindowReg; external 'CLK.dll' Name 'ShowLockWindowReg'; stdcall;
  function IsProgramActivatedReg; external 'CLK.dll' Name 'IsProgramActivatedReg'; stdcall;

  function CAC; external 'CLK.dll' Name 'CAC'; stdcall;

  function StoreExParamStr; external 'CLK.dll' Name 'StoreExParamStr'; stdcall;
  function RestoreExParamStr; external 'CLK.dll' Name 'RestoreExParamStr'; stdcall;

  function StoreExParamInt; external 'CLK.dll' Name 'StoreExParamInt'; stdcall;
  function RestoreExParamInt; external 'CLK.dll' Name 'RestoreExParamInt'; stdcall;

  function StoreExParamBool; external 'CLK.dll' Name 'StoreExParamBool'; stdcall;
  function RestoreExParamBool; external 'CLK.dll' Name 'RestoreExParamBool'; stdcall;

  function GetFileMD5; external 'CLK.dll' Name 'GetFileMD5'; stdcall;
  function GetTextMD5; external 'CLK.dll' Name 'GetTextMD5'; stdcall;
end.

